`timescale 1ns/10ps

module Mux_PDI_tb() ;

wire salida;
reg A;
reg B;
reg C;
reg D;
reg [1:0] select;

Mux_PDI u1( .A(A), .B(B), .C(C), .D(D), .select(select[1:0]), .salida(salida));

initial
	
	begin
		// se setea el monitor para que muestre las variables
		$monitor ("time=%5d ns, A=%b, B=%b, C=%b, D=%b, select=%b, salida=%b", $time, A, B, C, D, select, salida);
		
		A = 1'b1;
		B = 1'b1;
		C = 1'b0; 
		D = 1'b1;
		select = 2'b10;

	#10;	// espera 10 unidades
	
		// select esta en 10 por lo tanto la salida debe ser igual a C que es 0 (bin)
		if (salida != 1'b0)
		begin
			$display("ERROR 1: La salida del Mux no es igual a C");
			$finish;
		end

	#10;
	
		A = 1'b0;
		B = 1'b1;
		C = 1'b0; 
		D = 1'b0;
		select = 2'b01;

	#10;

		// select esta en 01 por lo tanto la salida debe ser igual a B que ahora es 1 (bin)
		if (salida != 1'b1)
		begin
			$display("ERROR 2: La salida del Mux no es igual a B");
			$finish;
		end

	#10;
	
	$display("Simulacin finalizada, su mux funciona pefectamente");
	
	$finish;
end

endmodule